dots.v2.agents.sessions.bySession_id().checkpoints.byCheckpoint_id().imageMessages.get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.agents.sessions.bySession_id(session_id).checkpoints.byCheckpoint_id(checkpoint_id).imageMessages.get(requestConfiguration?: RequestConfiguration<ImageMessagesRequestBuilderGetQueryParameters>): Promise<undefined | Get_image_message_resource_response>

Description

Returns the live notices on the checkpoint’s sandbox image. The checkpoint must belong to {session_id}. type filters the notice kind; the only documented value is vulnerability.

Parameters

Path Parameters

session_id string required

Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

The session UUID.

checkpoint_id string required

Example: cp_example

The checkpoint id.

Query Parameters

type string optional

Example: vulnerability

Notice type. Omit it to return every type. The only documented value is vulnerability.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.agents.sessions
    .bySession_id("a1b2c3d4-e5f6-7890-abcd-ef1234567890").checkpoints
    .byCheckpoint_id("cp_example").imageMessages.get();

Response Example

Show Response Example
{
  "resource": {
    "kind": "SESSION",
    "session_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "session_name": "support-agent",
    "checkpoint_id": "cp_example",
    "checkpoint_name": "before-upgrade",
    "image_id": "img_example",
    "resolution_complete": true,
    "vulnerable": false,
    "messages": []
  }
}

More Information

See /v2/agents/sessions/{session_id}/checkpoints/{checkpoint_id}/image-messages in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.